/*--------------------------------------------------------------------------*/
// Program			: LED blink 
// Description 	: LED blink at P1.0 and P1.1
// Filename			: lab0101.c
// C complier		: RIDE 51 V6.1
/*--------------------------------------------------------------------------*/
#include <reg51.h>	// Header include register for normal MCS-51
sbit led0 = P1^0;  	// Define port for LED at P1.0
sbit led1 = P1^1;		// Define port for LED at P1.1
/**********************************************************************/
/****************** Function for delay time ***************************/
/**********************************************************************/
void delay(unsigned int tick)
{
	unsigned int x,y;			// Keep for counter loop  
	for(x=0;x<tick;x++)     // Loop for delay define by tick variable
	{
		for(y=0;y<444;y++);	// Loop for delay 444 time
	}
}
/**********************************************************************/
/**************************** Main Program ****************************/
/**********************************************************************/
void main()
{
	led0 = 1;			// LED at P1.0 ON
	led1 = 0;			// LED at P1.1 ON
	while(1)          // Infinite loop
	{
		led0 = ~led0;  // LED toggle logic for drive LED at P1.0	
		led1 = ~led1;  // LED toggle logic for drive LED at P1.0	
		delay(1000);   // Delay 5000 tick for look
	}	
}
/******************************** End *********************************/  
