/*--------------------------------------------------------------------------*/
// Program			: Timer count time 
// Description 	: Timer count time base 1 sec for LED blink
// Filename			: lab0401.c
// C compiler		: RIDE 51 V6.1
/*--------------------------------------------------------------------------*/
#include <reg51.h>	// Header include register for normal MCS-51
sbit led0 = P1^0;		// Define port for LED at P1.0
/**********************************************************************/
/**************************** Main Program ****************************/
/**********************************************************************/
void main()
{
	unsigned char count=0;	// Keep time base for 1 sec
	TMOD = 0x10;  		// Timer 1 mode 1(16 bit counter) 
	TH1 = 0xDC;			// Load interval 10 ms
	TL1 = 0x00;			    
	TF1 = 0;          // Clear bit flag Timer1
	TR1 = 1;       	// Start Timer1
	while(1)				// Infinite loop
	{
		if(TF1)        // Check bit TF1 set?
		{
			TH1 = 0xDC;			// Reload interval 10 ms
			TL1 = 0x00;    
	   	TF1 = 0;				// Clear bit flag Timer1
			count++;
			if(count>=100)		// Check interval for 1 sec
			{
				count = 0;  	// Clear count
				led0 = ~led0;	// Toggle logic LED at P1.0	
			}
		}				
	}	
}
/******************************** End *********************************/ 
