/*--------------------------------------------------------------------------*/
// Program			: Count up value on LCD display 
// Description 	: Count up value on LCD display and generate sound alarm
//						: every 1 second  
// Filename			: lab0601.c
// C compiler		: RIDE 51 V6.1
/*--------------------------------------------------------------------------*/
#include <reg51.h>	// Header include register for normal MCS-51			
#include <lcd2051.h>		// Module function LCD display
#include <sound2051.h>	// Module function sound alarm
/**********************************************************************/
/*************************** Main Program *****************************/
/**********************************************************************/
void main()
{
	unsigned int count=0;	// Define for counter 
	lcd_init();					// Initial LCD			  
	lcd_puts(line1,"count =");	// Display screen
	while(1)   		// Infinite loop	
	{
		inttolcd(0x88,count++,10);
	   delay_ms(900);     	// Delay 900 ms
	   sound(1000,50);     // Sound alarm 1000 Hz delay 100 ms
	}
}














 
