/*--------------------------------------------------------------------------*/
// Program			: Generate sound by frequency  
// Description 	: Generate sound function 
// Filename			: lab0501.c
// C compiler		: RIDE 51 V6.1
/*--------------------------------------------------------------------------*/
#include <reg51.h>	// Header include register for normal MCS-51
sbit sw1 = P3^2;		// Define port for input switch at P3.2
sbit sw2 = P3^3;		// Define port for input switch at P3.2
sbit s_bit = P3^4;   // Define port for gennerate sound
/**********************************************************************/
/**************************** Main Program ****************************/
/**********************************************************************/
void delay_sound(unsigned int ms)  
{
	unsigned int x,a;			// Keep for counter loop
	for(x=0;x<ms;x++)
	{
		for(a=0;a<44;a++);	// Loop for delay 100 us per unit 
	}
}
/**********************************************************************/
/**************************** Main Program ****************************/
/**********************************************************************/
void sound(int freq,int time)
{
	int dt=0,m=0;			// Keep value and 
	dt = 5000/freq;   		// Keep active logic delay
	time = (5*time)/dt;	// Keep counter for generate sound
	for(m=0;m<time;m++)    
	{
		s_bit = 1;        // P3.4 = high
		delay_sound(dt);	// Delay for sound	
		s_bit = 0;			// P3.4 = low
		delay_sound(dt);	// Delay for sound
	}		
}
/**********************************************************************/
/**************************** Main Program ****************************/
/**********************************************************************/
void main()
{
	sw1 = 1;		// Configuration P3.2 for input port
	sw2 = 1;		// Configuration P3.3 for input port
	while(1)			// Infinite loop
	{
		if(sw1==0)	// Scan input switch at P3.2 
		{
			sound(500,100);	// Generrate sound 500 Hz 		
		}
		else if(sw2==0) 	// Scan input switch at P3.3
		{
			sound(1000,100);	// Generrate sound 1000 Hz		
		}
	}	
}
/******************************** End *********************************/ 
